com.google.gwt.user.client.ui

## Class RichTextArea.FontSize

- java.lang.Object
- - com.google.gwt.user.client.ui.RichTextArea.FontSize

Enclosing class:
  RichTextArea

    public static class RichTextArea.FontSize
    extends java.lang.Object

Font size enumeration. Represents the seven basic HTML font sizes, as defined in CSS.

### Field Summary

Fields
`static RichTextArea.FontSize` `LARGE` Represents a Large font.
`static RichTextArea.FontSize` `MEDIUM` Represents a Medium font.
`static RichTextArea.FontSize` `SMALL` Represents a Small font.
`static RichTextArea.FontSize` `X_LARGE` Represents an X-Large font.
`static RichTextArea.FontSize` `X_SMALL` Represents an X-Small font.
`static RichTextArea.FontSize` `XX_LARGE` Represents an XX-Large font.
`static RichTextArea.FontSize` `XX_SMALL` Represents an XX-Small font.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumber()` Gets the HTML font number associated with this font size.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LARGE

    public static final RichTextArea.FontSize LARGE

Represents a Large font.

#### MEDIUM

    public static final RichTextArea.FontSize MEDIUM

Represents a Medium font.

#### SMALL

    public static final RichTextArea.FontSize SMALL

Represents a Small font.

#### X_LARGE

    public static final RichTextArea.FontSize X_LARGE

Represents an X-Large font.

#### X_SMALL

    public static final RichTextArea.FontSize X_SMALL

Represents an X-Small font.

#### XX_LARGE

    public static final RichTextArea.FontSize XX_LARGE

Represents an XX-Large font.

#### XX_SMALL

    public static final RichTextArea.FontSize XX_SMALL

Represents an XX-Small font.

### Method Detail

#### getNumber

    public int getNumber()

Gets the HTML font number associated with this font size.

Returns:
  an integer from 1 to 7 inclusive

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`